Etrian Odyssey IV EU Firmware version

Discussion in '3DS - Flashcards & Custom Firmwares' started by Aerione, Feb 3, 2014.

  1. Aerione
    OP

    Aerione Member

    Newcomer
    38
    2
    Jan 27, 2014
    Does anyone know what firmware version the European version of EOIV requires?
    I was thinking of getting that game for my 4.4 3DS XL while I wait for my Gateway card to arrive and was wondering if it's safe to play it on the un-upgraded unit.
    I'm well aware of the fact that the US version of it only needs 4.5, but considering its release date here in EU, it's better to be safe than sorry!
     
  2. Fábio Silva

    Fábio Silva Advanced Member

    Newcomer
    54
    23
    Jan 21, 2014
    I think it's 5.1.0 so if you want to use Gateway Card don't buy it :)
     
  3. Saturosias

    Saturosias Sakura-sō Resident

    Member
    594
    290
    Dec 27, 2010
    United States
    Yeah, it comes with 5.1.0E, if you get it you'll have to wait for EmuNAND to be set up so you can play the retail cartridge without updating (using Classic mode). I do recommend buying it regardless ;0
     
  4. Aerione
    OP

    Aerione Member

    Newcomer
    38
    2
    Jan 27, 2014
    Awww...That's too bad :/
    I'm going to buy it regardless, of course, as I want to support the niche brand. But I'll only play it in classic mode once the Gateway arrives.
    Well, I guess I should consider FE: Awakening in the meanwhile, then.
     
  5. Fábio Silva

    Fábio Silva Advanced Member

    Newcomer
    54
    23
    Jan 21, 2014
    You won't regret playing Fire Emblem, trust me! :)